Summary:	A user-friendly file manager and visual shell
Name:		mc
Version:	2005.11.18
Release:	21
License:	GPL
Group:		Editors
Source0:	http://www.ibiblio.org/pub/Linux/utils/file/managers/mc/snapshots/%{name}-%{date}-%{release}.tar.gz
Source1:        %{name}.menu
Source2:        %{name}.ext
Source3:        %{name}.desktop
Source4:	%{name}f.desktop
Source5:	rpm
Patch0:		%{name}.patch
URL:		http://www.ibiblio.org/mc/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
%define		_sysconfdir	/etc
%define		date		2005-11-18

%description
CVS doesn't work - shite!
cvs -z3 -d:ext:anoncvs@savannah.gnu.org:/cvsroot/mc co mc
cvs -d :pserver:anoncvs@subversions.gnu.org:/cvsroot/mc co mc

Midnight Commander is a visual shell much like a file manager, only
with way more features. It is text mode, but also includes mouse
support if you are running GPM. Its coolest feature is the ability to
ftp, view tar, zip files, and poke into RPMs for specific files. :-)

%prep
%setup -q -n %{name}-%{date}-%{release}
%patch0 -p1

%build
libtoolize --copy --force
aclocal -I /usr/share/aclocal
#./autogen.sh
#make clean; make distclean
%configure \
	--disable-termcap \
	--with-ext2-undel \
	--without-gpm-mouse \
	--disable-nls \
	--disable-charset \
	--without-included-gettext \
	--with-edit \
	--with-vfs \
	--with-mcfs \
	--with-netrc \
	--with-x \
	--with-tm-x-support \
	--without-debug \
	--enable-subshell \
	--with-subshell \
	--with-slang \
	--with-screen=slang
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
chmod 4755 $RPM_BUILD_ROOT/usr/lib/mc/cons.saver
rm $RPM_BUILD_ROOT/usr/share/mc/mc.menu
install -c -m644 $RPM_SOURCE_DIR/mc.menu $RPM_BUILD_ROOT/usr/share/mc
rm $RPM_BUILD_ROOT/usr/share/mc/mc.ext
install -c -m644 $RPM_SOURCE_DIR/mc.ext $RPM_BUILD_ROOT/usr/share/mc
mkdir -p $RPM_BUILD_ROOT/usr/share/peanut/apps/Editors
cp %{SOURCE3} $RPM_BUILD_ROOT/usr/share/peanut/apps/Editors
cp %{SOURCE4} $RPM_BUILD_ROOT/usr/share/peanut/apps/Editors
rm $RPM_BUILD_ROOT/usr/share/mc/extfs/rpm; cp %{SOURCE5} $RPM_BUILD_ROOT/usr/share/mc/extfs
mv $RPM_BUILD_ROOT/usr/lib/mc/cons.saver $RPM_BUILD_ROOT/usr/share/mc/
cd $RPM_BUILD_ROOT/usr/lib/mc/; ln -sf ../../share/mc/* .

strip -R.comment -R.note $RPM_BUILD_ROOT/bin/* 2>/dev/null || : 
strip -R.comment -R.note $RPM_BUILD_ROOT/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/lib/*.so 2>/dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
/usr/bin
/usr/lib
/usr/man/man1
/usr/share
/usr/sbin
